ATA_READ_NATIVE_MAX_(9)

NAME
ata_read_native_max_address - Read native max address

SYNOPSIS

int ata_read_native_max_address(struct ata_device * dev, u64 * max_sectors);

ARGUMENTS

dev
    target device

max_sectors
    out parameter for the result native max address

DESCRIPTION

Perform an LBA48 or LBA28 native size query upon the device in question.

RETURNS

0 on success, -EACCES if command is aborted by the drive. -EIO on other errors.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT